Word2Vec model;
me.dir() + "glove-wiki-gigaword-50-tsne-2.txt" => string filepath;
<<< "loading model:", filepath >>>;
<<< "(this could take a few seconds)...", "" >>>;
if( !model.load( filepath ) )
{
    <<< "cannot load model:", filepath >>>;
    me.exit();
}

["households", "families", "gangs", "sororities", "frats",
"clubs", "startups", "nonprofits"] @=> string groups[];

["friends", "pals", "lovers", "siblings", "spouses",
"enemies", "acquaintences", "exes", "colleagues", "roommates"] @=> string relationships[];

["stanford", "hawaii", "mars", "metaverse", "japan",
"atlantis", "nyc", "hell"] @=> string locations[];

["hidden", "amazing", "terrible", "awesome", "smelly",
"annoying", "loud", "horrifying"] @=> string adjectives[];

1 => int WORDS_PER_LINE;
4 => int LINES_PER_STANZA;
3 => int NUM_STANZAS;

// number of nearest words to retrieve for each word
// higher this number the higher the variance per word
8 => int K_NEAREST;

// word vector
float vec[model.dim()];

// make a ConsoleInput
ConsoleInput in;
// tokenizer
StringTokenizer tok;
// line
string line[0];

Rhodey r[5];
NRev rev[2] => dac; 0.05 => rev[0].mix; 0.05 => rev[1].mix;
Rhodey solo => rev;
Pan2 p[2]; p[0] => rev[0]; p[1] => rev[1];
Delay d[2]; rev[0] => d[0] => d[1] => rev[1]; 
0.7 => d[0].gain => d[1].gain;
second => d[0].max => d[0].delay => d[1].max => d[1].delay;
SinOsc panner => blackhole;
1 => panner.freq;
r[0] => p[0]; r[1] => p[0]; 
r[2] => p[1]; r[3] => p[1]; r[4] => p[0]; r[4] => p[1];
for (int i; i < r.cap(); i++) {
    1 => r[i].lfoSpeed;
    0.0 => r[i].lfoDepth;
    r[i].opAM(0,0.4);
    r[i].opAM(2,0.4);
    r[i].opADSR(0, 0.001, 3.50, 0.0, 0.04);
    r[i].opADSR(2, 0.001, 3.00, 0.0, 0.04);
}

// spork panner on its own shred   
spork ~ doPan();


[62, 66, 69, 74] @=> int DMaj[];
[59, 62, 66, 68] @=> int Bmi6[];
[61, 66, 69, 73] @=> int Fmi[];
[57, 61, 64, 69] @=> int Amaj[];

[DMaj, Bmi6, Fmi, Amaj, Bmi6, Fmi, Bmi6, Fmi, DMaj, Bmi6, Fmi, Amaj, Fmi, Amaj] @=> int chords[][];

second/2 => dur Q; Q/2 => dur E; E/2 => dur S;

2 * second => dur T_WORD; // duration per word

// loop
while( true )
{
    // prompt
    in.prompt( "Enter two names separated by a space => (e.g. chris cole)" ) => now;
    
    // read
    while( in.more() )
    {
        // clear tokens array
        line.clear();
        // get the input line as one string; send to tokenizer
        tok.set( in.getLine() );
        // tokenize line into words separated by white space
        while( tok.more() )
        {
            // put into array (lowercased)
            line << tok.next().lower();
        }
         
        // if non-empty
        if( line.size() )
        {
            // do something with the input
            poem( line );
        }
    }
}

fun void poem(string input[])
{

    string grudgeSimilar[10];
    model.getSimilar( "grudge", grudgeSimilar.size(), grudgeSimilar );
    grudgeSimilar[Math.random2(0,grudgeSimilar.size()-1)] => string grudge;

    ["Two " + W2V.getClosest(model, input[0] + " + " + input[1], groups) + " both alike in dignity",
    "(In fair " +  W2V.getClosest(model, input[0] + " + " + input[1], locations) + ", where we lay our scene),",
    "From ancient " + grudge + " break to new mutiny,",
    "Where civil blood makes civil hands unclean.",
    "From forth the fatal loins of these two foes",
    "A pair of star-crossed "  + W2V.getClosest(model, input[0] + " + " + input[1], relationships) +  " take their life;",
    "Whose misadventured piteous overthrows",
    "Doth with their death bury their parents’ strife.",
    "The fearful passage of their " + W2V.getClosest(model, input[0] + " + " + input[1] + " + love", adjectives) + " love",
    "And the continuance of their parents’ rage,",
    "Which, but their children’s end, naught could remove,",
    "Is now the two hours’ traffic of our stage;",
    "The which, if you with patient ears attend,",
    "What here shall miss, our toil shall strive to mend."]  @=> string lines[];

    // line break
    chout <= IO.newline(); chout.flush();

    chout <= input[0] + " and " + input[1] <= IO.newline() <= IO.newline();

    // loop over lines in a stanza
    for( int i; i < lines.size(); i++ )
    {
        say(lines[i]); 
        spork ~ rollChord(chords[i], 0.9); 
        endl(); wait();
    }

    // print at the end
    chout <= IO.newline(); chout.flush();
    chout <= "--a Romeo and Juliet Mad Libs Poem" <= IO.newline();
    chout <= IO.newline(); chout.flush();
    chout.flush();
}

// say a word with space after
fun void say( string word )
{
    say( word, " " );
}

// say a word
fun void say( string word, string append )
{
    // print it
    chout <= word <= append; chout.flush();
}
// wait
fun void wait()
{
    wait( T_WORD );
}

// wait
fun void wait( dur T )
{    
    // let time pass, let sound...sound
    T => now;
}

// new line with timing
fun void endl()
{
    endl( T_WORD );
}

// new line with timing
fun void endl( dur T )
{
    // new line
    chout <= IO.newline(); chout.flush();
    // let time pass
    T => now;
}

//------------------------------------------------------------------------------
// word2vec helper
//------------------------------------------------------------------------------
class W2V
{
    fun static void copy( float to[], float from[] )
    {
        to.size(from.size());
        // add into element
        for( int i; i < to.size(); i++ ) from[i] => to[i];
    }
    
    fun static float[] dup( float from[] )
    {
        float to[from.size()];
        // add into element
        for( int i; i < to.size(); i++ ) from[i] => to[i];
        // return
        return to;
    }
    
    // result stored in x
    fun static void add( float x[], float y[] )
    {
        // smaller of the two
        x.size() < y.size() ? x.size() : y.size() => int size;
        // add into element
        for( int i; i < size; i++ ) y[i] +=> x[i];
    }
    
    // result stored in x
    fun static void minus( float x[], float y[] )
    {
        // smaller of the two
        x.size() < y.size() ? x.size() : y.size() => int size;
        // add into element
        for( int i; i < size; i++ ) y[i] -=> x[i];
    }
    
    fun static void scale( float x[], float scalar )
    {
        // scale
        for( int i; i < x.size(); i++ ) scalar *=> x[i];
    }
    
    fun static void scale( float result[], float x[], float scalar )
    {
        // scale
        for( int i; i < x.size(); i++ ) scalar * x[i] => result[i];
    }
    
    fun static string[] eval( Word2Vec @ w, string expr, int k )
    {
        // init 
        int pos;
        1.0 => float multiplier;
        string word;
        float wordVector[w.dim()];
        float exprVector[w.dim()];
        
        // compute
        while( true )
        {
            expr.find(" ") => pos;
            if( pos == -1 )
            {
                w.getVector(expr, wordVector);
                for( 0 => int i; i < w.dim(); i++ )
                {
                    wordVector[i] * multiplier +=> exprVector[i];
                }
                break;
            }
            else 
            {
                expr.substring(0, pos) => word;
                w.getVector(word, wordVector);
                for( 0 => int i; i < w.dim(); i++ )
                {
                    wordVector[i] * multiplier +=> exprVector[i];
                }
                expr.substring(pos + 1) => expr;
                if( expr.charAt(0) == '+' )
                {
                    1.0 => multiplier;
                    expr.substring(2) => expr;
                }
                else
                {
                    -1.0 => multiplier;
                    expr.substring(2) => expr;
                }
            }
        }
        
        // return
        string results[k];
        w.getSimilar( exprVector, k, results );
        
        return results;
    }
    
    // logical analogy: A to B is as C is to [what this function returns]
    fun static string[] analogy( Word2Vec @ w, string A, string B, string C, int k )
    {
        // the vector sum
        B + " - " + A + " + " + C => string v;
        return eval( w, v, k );
    }

    fun static float distanceSquared (float x[], float y[])
    {
        0 => float result;
        // smaller of the two
        x.size() < y.size() ? x.size() : y.size() => int size;

        for( int i; i < size; i++ ) 
        {
            Math.pow((y[i] - x[i]), 2) +=> result;
        }
        return result;
    }

    fun static string getClosest( Word2Vec @ w, string expr, string options[] ) {
        // init 
        int pos;
        1.0 => float multiplier;
        string word;
        float wordVector[w.dim()];
        float exprVector[w.dim()];
        
        // compute
        while( true )
        {
            expr.find(" ") => pos;
            if( pos == -1 )
            {
                w.getVector(expr, wordVector);
                for( 0 => int i; i < w.dim(); i++ )
                {
                    wordVector[i] * multiplier +=> exprVector[i];
                }
                break;
            }
            else 
            {
                expr.substring(0, pos) => word;
                w.getVector(word, wordVector);
                for( 0 => int i; i < w.dim(); i++ )
                {
                    wordVector[i] * multiplier +=> exprVector[i];
                }
                expr.substring(pos + 1) => expr;
                if( expr.charAt(0) == '+' )
                {
                    1.0 => multiplier;
                    expr.substring(2) => expr;
                }
                else
                {
                    -1.0 => multiplier;
                    expr.substring(2) => expr;
                }
            }
        }
        
        float optionVector[w.dim()];
        w.getVector(options[0], optionVector);
        distanceSquared(exprVector, optionVector) => float min;
        options[0] => string closest;

        for (int i; i < options.size(); i++) {
            w.getVector(options[i], optionVector);
            distanceSquared(exprVector, optionVector) => float distance;
            if (distance < min) {
                distance => min;
                options[i] => closest;
            }
        }
        
        chout <= "generated: " + closest <= IO.newline();
        return closest;
    }
}

fun void chord(int chord[], float vel) {
    for (int i; i < chord.cap(); i++) {
        Std.mtof(chord[i]) => r[i].freq;
        vel => r[i].noteOn;
    }
}

fun void rollChord(int chord[], float vel) {
    for (int i; i < chord.cap(); i++) {
        Std.mtof(chord[i]) => r[i].freq;
        vel => r[i].noteOn;
        Math.random2f(0.01,0.08)::second => now;
    }
}

fun void doPan() {
    while( true ) {
        1.0 - panner.last() => float temp;
        temp => p[0].pan;
        1.0 - temp => p[1].pan;
        ms => now;
    }
}